#### D.2.8.12 normalize

Procedure from library `poly.lib` (see poly_lib).

Usage:
  normalize(id); id=poly/vector/ideal/module

Return:
  object of same type
  each element is normalized with leading coefficient equal to 1

Example:

    LIB "poly.lib";
    ring r = 0,(x,y,z),ls;
    poly f = 2x5+3y2+4z3;
    normalize(f);
    ==> z3+3/4y2+1/2x5
    module m=[9xy,0,3z3],[4z,6y,2x];
    normalize(m);
    ==> _[1]=z3*gen(3)+3xy*gen(1)
    ==> _[2]=z*gen(1)+3/2y*gen(2)+1/2x*gen(3)
    ring s = 0,(x,y,z),(c,ls);
    module m=[9xy,0,3z3],[4z,6y,2x];
    normalize(m);
    ==> _[1]=[xy,0,1/3z3]
    ==> _[2]=[z,3/2y,1/2x]

User manual for Singular version 4-0-3, 2016, generated by texi2html.